/*
 * EcoSim is developed by Martin Brke as a master thesis at NTNU
 * in cooperation with Accenture.
 * 
 * For more information, contact Martin Brke at martinb@stud.ntnu.no
 */
package edu.ntnu.ecosim.agents;

import edu.ntnu.ecosim.environment.Market;

/**
 * The Class Agent This class contains the methods that all agents must implement
 * @author  martin.andreas.borke
 */
public abstract class Agent {
	
	/** The market that the agent operates within. */
	protected Market market;
	
	/**
	 * This is the method that is called for each new time step. The method
	 * contains the basic operations that an agent performs for each time step.
	 */
	protected abstract void performAction();
	
	/**
	 * The Constructor for an agent.
	 * 
	 * @param market
	 *            the market
	 */
	protected Agent(Market market){
		this.market = market;
	}

}
