/*
 * EcoSim is developed by Martin Brke as a master thesis at NTNU
 * in cooperation with Accenture.
 * 
 * For more information, contact Martin Brke at martinb@stud.ntnu.no
 */
package edu.ntnu.ecosim.agents.serviceproviders.innovation;

/**
 * The Class NetEffInnovation represents the innovations that produce network effects.
 */
public class NetEffInnovation extends Innovation {

	/**
	 * The Constructor.
	 * 
	 * @param neff
	 *            the network effect that this innovation gives
	 */
	public NetEffInnovation(final double neff){
		super();
		neteffect = neff;
	}
	
	
	/* (non-Javadoc)
	 * @see edu.ntnu.ecosim.agents.serviceproviders.innovation.Innovation#getType()
	 */
	@Override
	public int getType() {
		return NETEFFADDING;
	}	
}
