/*
 * EcoSim is developed by Martin Brke as a master thesis at NTNU
 * in cooperation with Accenture.
 * 
 * For more information, contact Martin Brke at martinb@stud.ntnu.no
 */
package edu.ntnu.ecosim.agents.serviceproviders.innovation;

/**
 * The Class ValueInnovation represents the innovations that gives direct value to a subscription, 
 * regardless of how many consumers are using it.
 */
public class ValueInnovation extends Innovation {

	/**
	 * The Constructor.
	 * 
	 * @param val
	 *            the value this innovation adds to the subscription (a percentage)
	 */
	public ValueInnovation(final double val) {
		super();
		value = val;
	}

	/* (non-Javadoc)
	 * @see edu.ntnu.ecosim.agents.serviceproviders.innovation.Innovation#getType()
	 */
	@Override
	public int getType() {
		return VALUEADDING;
	}

}
