/*
 * EcoSim is developed by Martin Brke as a master thesis at NTNU
 * in cooperation with Accenture.
 * 
 * For more information, contact Martin Brke at martinb@stud.ntnu.no
 */
package edu.ntnu.ecosim.exceptions;

/**
 * Exception thrown if the simulator if the setup documet contains faulty information
 */
public class InitializationException extends Exception {
	
	/**
	 * SerialVersionUID identifies the unique original class version for which
	 * this class is capable of writing streams and from which it can read.
	 */
	private static final long serialVersionUID = -4248023157796402670L;

	/**
	 * The Constructor.
	 */
	public InitializationException(){
		super();
	}

	/**
	 * The Constructor.
	 * 
	 * @param msg
	 *            A message explaining the exception
	 */
	public InitializationException(String msg){
		super(msg);
	}
	
	/**
	 * The Constructor.
	 * 
	 * @param e
	 *            the original exception
	 * @param msg
	 *            the message of the exception
	 */
	public InitializationException(String msg, Exception e){
		super(msg,e);
	}
}
