/*
 * EcoSim is developed by Martin Brke as a master thesis at NTNU
 * in cooperation with Accenture.
 * 
 * For more information, contact Martin Brke at martinb@stud.ntnu.no
 */
package edu.ntnu.ecosim.exceptions;

/**
 * Exception thrown by service provider strategy if the specified strategy does not exist.
 */
public class NoSuchStrategyException extends Exception {

	/**
	 * SerialVersionUID identifies the unique original class version for which
	 * this class is capable of writing streams and from which it can read.
	 */
	private static final long serialVersionUID = 5974909167300170159L;

	/**
	 * The Constructor.
	 * 
	 * @param s
	 *            A string explaining the exception
	 */
	public NoSuchStrategyException(String s){
		super(s);
	}
}
