/*
 * EcoSim is developed by Martin Brke as a master thesis at NTNU
 * in cooperation with Accenture.
 * 
 * For more information, contact Martin Brke at martinb@stud.ntnu.no
 */
package edu.ntnu.ecosim.exceptions;

/**
 * Used by service provider memory if there is not enough data to calculate performance
 * parameters. 
 */
public class NotEnoughDataException extends Exception{


	/**
	 * SerialVersionUID identifies the unique original class version for which
	 * this class is capable of writing streams and from which it can read.
	 */
	private static final long serialVersionUID = 3077610536558405196L;

	/**
	 * The Constructor.
	 */
	public NotEnoughDataException(){
		super();
	}
	
	/**
	 * The Constructor.
	 * 
	 * @param msg
	 *            A message explaining the exception
	 */
	public NotEnoughDataException(String msg){
		super(msg);
	}
}
