/*
 * EcoSim is developed by Martin Brke as a master thesis at NTNU
 * in cooperation with Accenture.
 * 
 * For more information, contact Martin Brke at martinb@stud.ntnu.no
 */
package edu.ntnu.ecosim.visual;

import edu.ntnu.ecosim.communication.ResultReceiver;
import java.io.Serializable;
import org.w3c.dom.Document;

/**
 * This class extends the ResultReceiver interface, 
 * and allows the interface to receive  information from the simulation engine
 * @author     martin.andreas.borke
 */
public class Receiver extends ResultReceiver implements Serializable{

	/** The Constant serialVersionUID. */
	private static final long serialVersionUID = 2292803821977146014L;
	
	/**The xml manager used to parse the results */
	private XMLManager xmlman;
	
	/**
	 * The Constructor.
	 */
	public Receiver(XMLManager xmlman){
		this.xmlman = xmlman;
	}
	
	/* (non-Javadoc)
	 * @see edu.ntnu.ecosim.communication.ResultReceiver#xmlReceived(org.w3c.dom.Document)
	 */
	@Override
	public void xmlReceived(final Document doc) {
		xmlman.receiveResponse(doc);
	}
	
	
	
	

}
