/*
 * EcoSim is developed by Martin Brke as a master thesis at NTNU
 * in cooperation with Accenture.
 * 
 * For more information, contact Martin Brke at martinb@stud.ntnu.no
 */
package edu.ntnu.ecosim.visual;

import java.awt.Dimension;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

/**
 * This class shows textual information about the simulators actions and results
 * @author     martin.andreas.borke
 */
public class SimulationPanel extends JPanel{

	/** The Constant serialVersionUID used for serialization purposes. */
	private static final long serialVersionUID = 4618248676937389106L;

	/** The text area that text is written to. */
	private JTextArea jtf;
	
	/** The "Visual" object this panel is connected to. */
	Visual visual;


	/**
	 * The Constructor.
	 * 
	 * @param v
	 *            the "Visual" object
	 */
	public SimulationPanel(final Visual v){
		visual = v;
		jtf = new JTextArea();
		final JScrollPane jsp = new JScrollPane(jtf);
		jsp.setPreferredSize(new Dimension(1100,700));
		this.add(jsp);
	}



	/**
	 * Append text to the text area.
	 * 
	 * @param s
	 *            the string of text to add
	 */
	public void appendText(final String s) {
		jtf.append("\n");
		jtf.append(s);
		jtf.setCaretPosition(jtf.getText().length());
		jtf.repaint();
	}
	
	/**
	 * Gets the text writtent o the text field
	 * @return the text
	 */
	public String getText(){
		return jtf.getText();
	}

}
